# netdata configuration
#
# You can download the latest version of this file, using:
#
#  wget -O /etc/netdata/netdata.conf http://localhost:19999/netdata.conf
# or
#  curl -o /etc/netdata/netdata.conf http://localhost:19999/netdata.conf
#
# You can uncomment and change any of the options below.
# The value shown in the commented settings, is the default value.
#

[global]
    run as user = {{ glxclans_monitor_global_run_as_user }}

    # the default database size - 1 hour
    history = 3600

    # some defaults to run netdata with least priority
    process scheduling policy = idle
    OOM score = 1000
    process scheduling policy = idle
    process scheduling priority = 0
    process nice level = 19
    update every = {{ glxclans_monitor_update_every }}
    debug log = none
    error log = none
    access log = none
    page cache size = {{ glxclans_monitor_page_cache_size }}
    dbengine disk space = {{ glxclans_monitor_dbengine_disk_space }}


{% if glxclans_monitor_web_interface %}
[web]
    web files owner = {{ glxclans_monitor_web_files_owner }}
    web files group = {{ glxclans_monitor_web_files_group }}
    default port = {{ glxclans_monitor_web_default_port }}
    bind to = {{ glxclans_monitor_web_bind_to }}
    enable web responses gzip compression = {{ glxclans_monitor_web_enable_web_responses_gzip_compression }}
    gzip compression strategy = {{ glxclans_monitor_web_gzip_compression_strategy }}
    gzip compression level = {{ glxclans_monitor_web_gzip_compression_level }}
    respect do not track policy = {{ glxclans_monitor_web_respect_do_not_track_policy }}
    web server max sockets = {{ glxclans_monitor_web_server_max_sockets }}
    allow connections from = {{ glxclans_monitor_web_allow_connections_from }}
    allow dashboard from = {{ glxclans_monitor_web_allow_dashboard_from }}
    allow badges from = {{ glxclans_monitor_web_allow_badges_from }}
    allow streaming from = {{ glxclans_monitor_web_allow_streaming_from }}
    allow netdata.conf from = {{ glxclans_monitor_web_allow_netdata_conf_from }}
    allow management from = {{ glxclans_monitor_web_allow_management_from }}
{% endif %}